# studio::Duckmatic::Bezier Struct Reference

`#include <duckmatic.h>`

List of all members.

## Public Member Functions

bool | is_valid () const
sigc::signal< void, float > & | signal_user_click (int i=0)

## Public Attributes

etl::handle< Duck > | p1
etl::handle< Duck > | p2
etl::handle< Duck > | c1
etl::handle< Duck > | c2

## Detailed Description

Todo:
  This needs to be documented further.

## Member Function Documentation

bool studio::Duckmatic::Bezier::is_valid | ( |  | ) | const`[inline]`

References c1, c2, p1, and p2.

sigc::signal<void,float>& studio::Duckmatic::Bezier::signal_user_click | ( | int | i = `0` | ) | `[inline]`

## Member Data Documentation

etl::handle<Duck> studio::Duckmatic::Bezier::p1

Referenced by studio::Duckmatic::add_to_ducks(), and is_valid().

etl::handle<Duck> studio::Duckmatic::Bezier::p2

Referenced by studio::Duckmatic::add_to_ducks(), and is_valid().

etl::handle<Duck> studio::Duckmatic::Bezier::c1

Referenced by studio::Duckmatic::add_to_ducks(), and is_valid().

etl::handle<Duck> studio::Duckmatic::Bezier::c2

Referenced by studio::Duckmatic::add_to_ducks(), and is_valid().

The documentation for this struct was generated from the following file:

- duckmatic.h